{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}
<div class="div-form">
    <form method="post" class="form">
        {% if error %}
            <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
        {% endif %}

        {% if app.user %}
            <div class="mb-3">
                You are logged in as {{ app.user.userIdentifier }}, <a href="{{ path('app_logout') }}">Logout</a>
            </div>
        {% endif %}

        <h2 class="h3 mb-3 font-weight-normal">Veuillez vous connecter</h2>
        <br>
        <label for="inputEmail" class="label">Email</label>
        <br>
        <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="input" autocomplete="email" required autofocus>
        <br>
        <label for="inputPassword" class="label">Mot de passe</label>
        <br>
        <input type="password" name="password" id="inputPassword" class="input" autocomplete="current-password" required>
        <br>
        <input type="hidden" name="_csrf_token"
               value="{{ csrf_token('authenticate') }}"
        >

        {#
        Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
        See https://symfony.com/doc/current/security/remember_me.html
        #}
        <div class="checkbox mb-3">
            <label class="label">
                <input type="checkbox" name="_remember_me"> Se souvenir de moi
            </label>
        </div>


        <button class="btn-val" type="submit">
            Connexion
        </button>
    </form>
</div>

{% endblock %}
